local ADDON_NAME  = "FrostySupportIcons"
local MY_TEXTURES = {
    "FrostySupportIcons/icons/Connor.dds",
    "FrostySupportIcons/icons/Ainaril.dds",
    "FrostySupportIcons/icons/PreVayle.dds",
    "FrostySupportIcons/icons/East.dds",
    "FrostySupportIcons/icons/EastTransparent.dds",
    "FrostySupportIcons/icons/Logi.dds",
    "FrostySupportIcons/icons/Moo.dds",
    "FrostySupportIcons/icons/Sharn.dds",
    "FrostySupportIcons/icons/Stab.dds",
    "FrostySupportIcons/icons/Frosty.dds",
    "FrostySupportIcons/icons/Pai.dds",
    "FrostySupportIcons/icons/Sent.dds",
    "FrostySupportIcons/icons/Stunt.dds",
    "FrostySupportIcons/icons/Teenie.dds",
    "FrostySupportIcons/icons/Joona.dds",
    "FrostySupportIcons/icons/Hippo.dds",
    "FrostySupportIcons/icons/Pig.dds",
}
EVENT_MANAGER:RegisterForEvent( ADDON_NAME, EVENT_ADD_ON_LOADED, function( _, addonName )
    if addonName ~= ADDON_NAME then return end
    EVENT_MANAGER:UnregisterForEvent( ADDON_NAME, EVENT_ADD_ON_LOADED )
    -- check if OdySupportIcons is active and supports unique icon packs
    if OSI and OSI.AddCustomIconPack then
        -- add your list of icons
        OSI.AddCustomIconPack( MY_TEXTURES )
    end
end )